# Adressierung in Netzwerken

*Dateiname: adressierung.md*

---

![altes Telefon](https://cdn.pixabay.com/photo/2017/11/08/08/57/old-phone-2929617_1280.png)

Was früher schon funktionierte - kann ja heute nicht schlecht sein, oder?
Letztlich läuft die Kommunikation zwischen zwei Geräten über Nummern - spezielle Nummern:

## IP-Adresse


i> Die **IP-Adresse** ist eine eindeutige Nummer für jeden Computer oder andere Netzwerkgeräte zur Identifizierung im einem Netzwerk.

- Bsp.: 192.168.178.001
- IPv4 (2^32 = 4.294.967.296) vs. IPv6 (2^128 = 665.570.793.348.866.944)
- lediglich der Router hat zwei IP-Adressen, eine nach innen gerichtete und eine vom Provider zugewiesene
- Geräte die zwei Netzwerkadapter haben (Laptop mit LAN-Anschluss und WLAN) können auch zwei IP-Adressen zugewiesen bekommen, die Kommunikation läuft jedoch nur über eine

### Wie bekommt man die IP-Adresse des eigenen Rechners raus?

Das ist ganz einfach: Starte die **Eingabeaufforderung** und gib `ipconfig` ein. Erweitere diese Befehl um ` /all`.

Was zeigen dir die weiteren Befehle für Informationen an?
- `ping 10.94.1.1` (Erweitere den Befehl um ` -t`)
- `arp -a`
- `nslookup`
- `pathing www.google.de`
- `tracert www.google.de`
- `whoami`

Na, hat es Spaß gemacht? ;-)

s>Lust in den "*Hackermodus*" zu wechseln ... dann drücke *ALT* + *Leertaste*. Bei Eigenschaften kannst du die Farbe auf *grün* stellen ;-)

---

## Subnetzmaske

Oft unbeachtet, aber doch so wichtig. Die Subnetzmaske ist der kleine "Bruder" der IP-Adresse. Warum sie so wichtig ist, erfährst du hier.

i>Die **Subnetzmaske** legt die Teilung der IP-Adresse in Netz-Adresse und Host-Adresse fest. **Hosts** sind mögliche Endgeräte in einem Computernetzwerk.

**Beispiel**

IP-Adresse | Subnetzmaske
---------- | ------------
192.168.178.1 | 255.255.255.0
    
**Schreibform**
- 192.168.178.1 / 255.255.255.0
- 192.168.178.1 / 24 (Anzahl Suffixe – festgelegte Bits (Einsen) in der Subnetzmaske)

**Erläuterung**
- in diesem Netzwerk gibt es 8 Bit für den Hostanteil, d.h. es gibt $2^8$ = 256 mögliche Host-Adressen
- eigentlich sind es jedoch nur 256-2 = 254 mögliche IP-Adressen

i>Einige IP-Adressen des IP-Adressbereichs (192.168.178.0 bis 192.168.178.255) stehen nicht für Endgeräte zur Verfügung, da sie für **besondere Zwecke** gebunden sind:<br />192.168.178.0 ist die **Netzwerk-Adresse**<br />192.168.178.255 ist die **Broadcast-Adresse** (sendet an alle Geräte eines Subnetzes)

---

### Übung
Die Berechnung, ob 2 PCs in einem Netzwerk liegen, ist einfach, wenn man dies einmal verstanden hat. Zur Veranschaulichung nehmen wir folgendes Szenario:

**PC1**: 192.168.0.13/24

**PC2**: 192.168.0.138/24

Gerät | Bit |  schreib  | weise  |          |
-------- | -------- | -------- | -------- | -------- |  
IP PC1   | 11000000   | 10101000 | 00000000 | 00001101 
Subnetz PC1  | 11111111   | 11111111 | 11111111 | 00000000
Gemeinsame "PC1"  | **11000000**   | **10101000** | **00000000** | **00000000**
IP PC2   | 11000000   | 10101000 | 00000000 | 10001010 
Subnetz PC2  | 11111111   | 11111111 | 11111111 | 00000000
Gemeinsame "PC2"  | **11000000**   | **10101000** | **00000000** | **00000000**

Vergleicht man nun die beiden fettgeschrieben Bitfolgen Gemeinsame “PC1” und Gemeinsame “PC2”, erkennt man dass diese gleich sind. Daraus kann man folgern, dass die beiden PCs in einem Netzwerk sind.

---

### Wie erhält der eigene PC im Netzwerk seine IP-Adresse?

- `Du bist dran`


![Programm Filius](bilder/filius.jpg)

- **Aufgabe**

  - Starte das Programm Filius (Desktop/Informatik).
  - Füge per Drag&Drop einen PC auf die Nutzerfläche.
  - Richte die IP-Adresse 192.168.178.2 für diesen Rechner ein.
  - Füge zwei weitere Rechner hinzu.
  - Verbinde die Geräte mittels einen Switches.

  