# DHCP - Dynamic Host Configuration Protocol

*Dateiname: dhcp.md*

---

.... und schon wieder ein **neues Protokoll**. Aber versprochen - du wirst es lieben.

Blicken wir doch mal in unser Umfeld. In der **Schule** sind etwa 100 PCs aktiv.
Stellen wir uns vor, wir müssten für alle PCs die IP-Adresse, Subnetzmaske, den Gateway und den DNS-Server eintragen. **Unvorstellbar viel Arbeit.**

Und nun kommt unser Retter ins Spiel - das DHCP.

i>Das **D**ynamic **H**ost **C**onfiguration **P**rotocol sorgt dafür, dass ein neu im Netzwerk registriertes Gerät mit den oben genannten Informationen versorgt wird. Das heißt, ihm werden entsprechende Informationen zugestellt.

Im wahren Leben übernimmt dies unser Router-Gerät. Für die Simulation in Filius, werden wir dafür einen weiteren Rechner einfügen.



Im Bearbeitungsmenü findest du bei Auswahl des DHCP-PCs den Button *DHCP-Server konfigurieren*. Es öffnet sich folgendes Menü.

![DHCP](bilder/dhcp-filius.png)

Dabei kannst du folgende Informationen "mitgeben":

- IP-Adressebereich für neue Geräte (nächst möglichste Adresse wird jeweils zugeordnet)
- Subnetzmaske
- Gateway (für den Fall, das mehrere Netzwerke aktiv sein sollen, ist dies sehr praktisch)
- DNS-IP (siehe oben)

Damit die entsprechenden Geräte diese Einstellungen auch annehmen, musst du im Bearbeitungsmodus und der Auswahl der jeweiligen Rechner noch den Haken bei *DHCP zur Konfiguration verwenden* setzen.

Erst jetzt werden die Rechner sich bei Simulationsbeginn die entsprechenden Daten zuweisen lassen.

i>Im **realen Leben** sind die Geräte im Allgemeinen genau für diesen Fall vorkonfiguriert. Sie gehen davon aus, dass sie mittels DHCP entsprechende Informationen bekommen. Dennoch kann man - sofern man möchte - händisch entsprechende Informationen ändern/eintragen.


---

### Statische Adresszuweisung

Sicher ist dir schon aufgefallen, dass dieses Menü noch eine weitere Karteikarte bereit hält **Statische Adresszuweisung**.

Erinnere dich an das Kapitel *Router*. Dort haben wir besprochen, wie entsprechende Kindersicherungen funktionieren. Für gewisse Geräte wie *Drucker* oder *Netzwerkfestplatte* (NAS, eigene Cloud) ist es sehr ungünstig, wenn diese neue IP-Adressen erhalten würden, da diese auf vielen Geräten im Netzwerk fest eingerichtet sind.
Bei eben jenen Geräten empfiehlt es sich, eine **statische IP-Adresse** zuzuweisen, d.h. diese Geräte erhalten immer die vorgebene IP-Adresse. Dies wird mit Hilfe der **MAC-Adresse** zugeordnet.

Die MAC-Adresse eines Rechners findest du recht einfach:

![MAC-Adresse](bilder/mac-adresse-filius.png)

t>Konfiguriere für einen der Rechner die feste IP-Adresse *192.168-0.58*.

---

## Praxis mit Filius

![](bilder/filius.jpg)

t>**Aufgabe:** Erweitere dein Netzwerk um einen PC und benenne ihn "DHCP-Server". Gib ihm eine sinnvolle IP-Adresse. Konfiguriere ihn anschließend nach der oben dargestellten Vorgabe. Damit die anderen Rechner diese Informationen annehmen, muss bei ihnen *DHCP zur Konfiguration verwenden* aktiviert werden. Teste im Simulationsmodus, ob du alles richtig gemacht hast.

t>**Aufgabe:** Nun kann es sein, dass dein DNS-Server und dein Webserver eine andere IP-Adresse bekommen haben, als bisher konfiguriert. Daher ist die Webseite unter Umständen so nicht erreichbar. Vergib diesen beiden PCs statische IP-Adressen mit Hilfe der MAC-Adresse.