﻿# Domain-Name-Server (DNS)

Kein Mensch merkt sich natürlich die IP-Adresse eine beliebigen Webseite. Man stelle sich vor, auf einem Klemptner-Auto steht nicht mehr "www.machdasrohrfrei.de" sondern "77.12.59.172".

Aus diesem Grunde wird zur Adressierung einer Homepage eine so genannte Domain verwendet.


## Domain und URL

Da sich IP-Adressen so schlecht merken lassen (und sich teilweise verändern) gibt es die Möglichkeit eine Webseite mit Hilfe einer Domain aufzurufen. Doch im Allgemeinen stecken noch mehr Informationen in der Adresszeile, diese Adresse auf bestimmte Pfade oder gar Dateien nennt sich URL (uniform resource locator). Der Aufbau sieht wie folgt aus:

|Protokoll|Dienst.|<2.Sub-Domain>.|<1.Sub-Domain>.|Top-Level-Domain|/Pfad|Datei
|---|---|---|---|---|---|---
|http://|www.|bildungszentrum.|nuernberg.|de|planetarium|index.html

Eine kostenlose Domain für private Zwecke - wie einen eigenen Webserver oder eine eigene Cloud - lassen sich beispielsweise bei Anbietern wie [TwoDNS](https://www.twodns.de) buchen.


## Domain-Name-Server

Du sitzt vor deinem Computer und möchtest gerne die Website www.csu.de besuchen. Im Internet läuft die Kommunikation über sogenannte IP-Nummern, damit Ihr Web-Browser die Seite der CSU abfragen kann, benötigt er also zunächst die IP-Nummer für www.csu.de. An dieser Stelle kommt das Domain Name System (DNS) ins Spiel, es dient der Auflösung von www.csu.de in die IP-Nummer 213.183.9.100.

![DNS-Server-Abbildung](bilder/dns-server.png)

1. Ihr Computer stellt eine DNS-Anfrage an den DNS-Server Ihres Providers.
2. Der DNS-Server Ihres Providers kennt die IP-Nummer für www.csu.de noch nicht und wendet sich daher an einen Root-Server. Der Root-Server liefert als Ergebnis den
DNS-Server der DENIC der für die Domain DE zuständig ist.
3. Über den DNS-Server der DENIC lässt sich nun ermitteln welcher DNS-Server für die Zone csu.de verantwortlich ist. [Link](http://www.denic.de)
4. Und erst jetzt können wir den eigentlich zuständigen DNS-Server befragen, welche IP-
Nummer zu www.csu.de passt.

Die Adresse des DNS-Servers ihres Providers ist im Normalfall in ihrem Router hinterlegt. Alle Rechner ihres Heimnetzwerkes bekommen dann vom integrierten DHCP-Server diese DNS- Adresse automatisch zugewiesen.

Dies sollte man über das Domain Name System wissen:
- DNS ist ein weltweit verteiltes Verzeichnissystem mit tausenden von Servern.
- DNS hat mit dem World Wide Web (WWW) eigentlich nicht sehr viel zu tun (außer dass es auch vom Web-Browser indirekt verwendet wird).
- Die meisten DNS-Abfragen werden vollautomatisch von Software (z.B. Mail-Server, Update-Systeme usw.) gestellt.
- Zu dem DNS-Server des Internet-Providers gibt es viele alternative Möglichkeiten.

Der letzte Punkt ist von besonders großer Bedeutung. In vielen Ländern wird Netzzensur be-
trieben, d.h. bestimmte unerwünschte Webseiten können nicht aufgerufen werden. Dies wird realisiert, indem die Internetprovider für Nutzer aus diesem Land einen DNS-Server zur Verfü- gung stellen, der für diese Webseiten keinen Eintrag enthält. Damit sind die Webseiten prinzi- piell immer noch über die IP-Adresse erreichbar, praktisch aber für die meisten Nutzer un- sichtbar. Als Alternative können unzensierte DNS-Server verwendet werden. Nachfolgend ein Auszug aus einer Liste alternativer DNS-Server:

- 94.75.228.28 (German Privacy Foundation e.V.)
- 62.141.58.13 (German Privacy Foundation e.V.)
- 85.25.251.254 (German Privacy Foundation e.V.) langsam!
- 85.214.20.141 (FoeBuD e.V. Aktualisiert am 4.7.2011)
- 212.82.225.7 (ClaraNet)
- 212.82.226.212 (ClaraNet)
- 213.73.91.35 (Chaos Computer Club Berlin)


----

## Praktische Übung
![Programm Filius](bilder/filius.jpg)

- **Aufgabe 1**

  Erweitere dein Filius-Netzwerk aus dem vorangegangenen Kapitel um einen DNS-Server, welcher sich in einem eigenen Netzwerk befindet.
Jeder beliebige Rechner muss wissen, wie er das XXXXXXXXXXXXXX

- **Aufgabe 2**

  