# Einteilung von Computernetzwerken

![Optionaler Alternativtext, falls sich das Bild nicht laden lässt](https://slideplayer.org/slide/635139/1/images/46/Network+Area+Definitions+Abstracted.jpg)


PAN - Personal Area Network: personenbezogenes Netz, z. B. Bluetooth

LAN - Local Area Network: lokales Netz, z. B. Ethernet

MAN - Metropolitan Area Network: regionales Netz

WAN - Wide Area Network: öffentliches Netz, z. B. ISDN

GAN - Global Area Network: globales Netz, z. B. das Internet

## Physikalische Einteilung

### BUS

**Vorteile**

- Relativ niedrige Kosten, da die geringsten Kabelmengen benötigt werden
- Der Ausfall einer einzelnen Station führt zu keinen Störungen im übrigen Netz.

**Nachteil**

Alle Daten werden über ein einziges Kabel übertragen.
Es kann immer nur eine Station Daten senden. Während der Sendung sind alle anderen blockiert.
Eine Störung des Übertragungsmediums an einer einzigen Stelle im Bus (defektes Kabel, lockere Steckverbindung, eine fehlerhaft konfigurierte Arbeitsstation) blockiert den gesamten Netzstrang und führt zu einer aufwändigen Fehlersuche.
Unverschlüsselter Netzverkehr kann direkt am Bus mitgelesen werden.

**Einsatzgebiet**

In kleineren lokalen Netzen, in Autos bei der Sensor-Aktor-Technik, WLAN funktioniert annährend so

### Stern

**Vorteile**

Der Ausfall einer Station oder der Defekt eines Kabels hat keine Auswirkungen auf das restliche Netz.
Aktive Verteiler wirken gleichzeitig als Signalverstärker.
Bei entsprechender Funktionalität des Sternverteilers können zwei Stationen die volle Bandbreite des Übertragungsmediums für ihre Kommunikation nutzen, ohne dabei andere Stationen zu behindern. Dadurch erlaubt diese physikalische Topologie in der Summe höhere Datendurchsatzraten.
Weitere Stationen und/oder Verteiler können relativ problemlos hinzugefügt werden.

**Nachteil**

- Große Kabelmengen
- Beim Ausfall des Verteilers ist kein Netzverkehr mehr möglich.

**Einsatzgebiet**

In lokalen Netzwerken, moderne Ethernet-Varianten, Neuinstallation auf Gebäudeebenen

**Anmerkung (logische Topologie)**

*Physikalische Stern-Topologien arbeiten logisch oft wie eine Bus-Topologie. Der Verteiler sendet ein empfangenes Signal an alle angeschlossenen Komponenten weiter. Der Weg, den die Daten wirklich vom Sender zum Empfänger gehen, kann durch die Konfiguration des Verteilers beeinflusst werden.*


### Ring

**Vorteil**
- Kann auf BUS-Topologie umgeschaltet werden
- Geringer Verkabelungsaufwand

**Nachteil**
- Bei Ausfall einer Station fällt die gesamte Kommunikation aus
- Datenpakete können nur nacheinander gesandt werden
- Jedes Gerät verarbeitet und verstärkt Signal (Rechenleistung)

**Einsatzgebiet**
- GAN (Verknüpfung von Kontinenten)

**Anmerkung (logische Topologie)**

*Als logische Topologie dagegen findet der Ring durchaus Niederschlag in der Praxis und wird häufig in einem zentralen Gerät (Ringleitungsverteiler) realisiert. Physikalisch entsteht damit zwar eine Sterntopologie, aber die Art und Weise, wie Daten in dem Ringleitungsverteiler gehandhabt werden, entspricht logisch den Regeln einer Ringtopologie.*

## Weitere Formen

**Backbone**

Unter einem Backbone ("Rückgrat") wird die physikalische Verbindung mehrerer Teilnetze verstanden. Es handelt sich damit um ein Hintergrundnetz, das z. B. die Verbindung verschiedener Gebäude und deren jeweiliger Einzelnetze herstellt.

**Stern-Bus-Netz**

Ein einfaches Beispiel soll dies verdeutlichen. In einem dreistöckigen Gebäude ist jedes Stockwerk in Stern-Topologie verkabelt. Die drei Etagen, genauer: die Hubs untereinander, werden über ein einzelnes Bus-Kabel miteinander verbunden.

**Stern-Stern-Netz**

Auch hier ein einfaches Beispiel: In einem dreistöckigen Bürogebäude ist jedes Stockwerk in Stern-Topologie verkabelt. Die drei Stockwerke, genauer gesagt: die Hubs untereinander, werden über je ein Kabel mit einem zentralen Haupt-Hub verbunden.

**Baum**

Die Baumstruktur eignet sich gut für die Vernetzung eines Firmengeländes, bei dem von einem zentralen Rechenzentrum aus die verschiedenen Gebäude miteinander verbunden werden, oder für den Einsatz in KabelTV-Netzen.

**Maschennetz**

In einem vermaschten Netz existieren zwischen den einzelnen Netzknoten jeweils mehrere Verbindungen. Sinn dieser Vernetzung ist es, bei Ausfall einer Verbindung auf eine zweite, redundante Verbindung zurückgreifen zu können. Häufig ist diese Art des Netzaufbaus in Weitverkehrsnetzen zu finden.

**Weitere Informationen**

https://www.luis.uni-hannover.de/fileadmin/buecher/leseproben/NW-LESE.pdf

### Logische Einteilung (Topologie)

Beschreibt die grundlegenden Verkehrsregeln, die auf den Verkehrswegen gelten. Dabei geht es unter anderem darum, wer wie auf das Übertragungsmedium zurückgreifen darf.