# E-Mail

*Dateiname: email.md*

---

![HTML Code](bilder/email.png)

### Bedeutung der E-Mail

- als Ersatz für Briefe gedacht
- Geschwindigkeitsvorteil
- Signierung möglich
- über 280 Milliarden pro Tag weltweit
- durchschnittlich 21 Mails pro Tag im beruflichen Posteingang
- am 3.8.1984 wurde die erste e-Mail in Deutschland versandt

----

## E-Mail-Programm (E-Mail-Client)

i>Ein **E-Mail-Client** (E-Mail-Programm) ist eine Software zum Abrufen, Verwalten und Senden von E-Mails. Mittlerweile sind diese Programme oft noch umfangreicher und können Kontakte und Terminkalender verwalten. Das Programm stellt eine Verbindung zum **E-Mail-Server** her und ruft/sendet gegegebenenfalls E-Mails vom/zum Mail-Server. Dieser leitet gegebenenfalls die E-Mail an einen weiteren Mail-Server weiter.

![E-Mail Clients Beispiele](bilder/e-mail-clients.jpg)

*Quelle: https://www.statista.com/chart/17570/most-popular-email-clients/*

----

### Protokolle für Mail-Versand

Um gleich richtig mit eine e-Mail-Client arbeiten zu können, solltest du über die drei verwendeten Protokolle Bescheid wissen. Wie schon bei Webseiten regelt ein sogenanntes Protokoll den Ablauf der Kommunikation. Bei e-Mails werden diese drei verwendet:

**SMTP - Simple Mail Transfer Protocol**
- regelt den Austausch von E-Mails, wird zum Einspeisen und Weiterleiten von E-Mails verwendet

**POP3 - Post Office Protocol**
- Übertragungsprotokoll, über das E-Mail-Client E-Mails vom Server abruft

**IMAP - Internet Message Access Protocol**
- Netzwerkdateisystem für E-Mails, Erweiterung der Funktion von POP3 so, dass Nutzer Mails, Ordnerstruktur und Einstellungen auf dem E-Mail-Server speichern und belassen kann


---

## Filius - Einrichten eines e-Mail-Servers/Clients

t>Erstelle folgendes Computernetzwerk. Achte dabei auf die IP-Adress-Vergabe.

![Filius - Mailserver - Aufgabe 1](bilder/e-mail-filius-aufgabe1.png)

t>Installiere auf dem Mail-Server-PC die Software *E-Mail-Server*. Starte das Programm anschließend. Nun kannst du den Anbieternamen von *filius.de* in *gmx.de* umbenennen. 
Erstelle nun zwei e-Mail-Konten für Adam (*adam@gmx.de*) und Berta (*berta@gmx.de*).

![Filius - Mailserver - Aufgabe 1](bilder/e-mail-filius-aufgabe2.png)

t>Installiere anschließend auf den Heimrechnern jeweils einen E-Mail-Client (E-Mail-Programm). Starte dort die Konfiguration.

![Filius - Mailserver - Aufgabe 1](bilder/e-mail-filius-aufgabe3.png)

**Einrichtungsinformationen für Adam**

- Name: *Adam Ries*
- E-Mail-Adresse: *adam@gmx.de*
- POP3-Server: 192.168.0.20 (*stets die IP-Adresse des Mailservers*)
- SMTP-Server: 192.168.0.20 (*stets die IP-Adresse des Mailservers*)
- Benutzername: *adam*
- Passwort: ???? (das vorher von dir eingerichtete Passwort)

t>Teste, ob deine Konfiguration funktionsfähig ist, indem du Adam zuerst sich selbst eine e-Mail schreiben lässt. Anschließend konfigurierst du den e-Mail-Client für Berta. Versuche eine Mail von Berta an Adam zu schicken.

t>Finde heraus, wofür beim e-Mail-Versand die Abkürzungen **cc** bzw. **bcc** stehen.

*Lösung*

- cc: ...
- bcc: ...


i>In Mailprogrammen wird im wahren Leben natürlich nicht die IP-Adresse des Mail-Servers eingegeben. Es könnte ja auch sein, dass sich diese mal ändert. Daher nutzt man ebenfalls **URLs** ([Link](https://hilfe.gmx.net/pop-imap/pop3/serverdaten.html#textlink_help_pop-imap_pop3_thunderbird)).

t>Erweitere dein Netzwerk um einen PC mit einem Domain-Name-Server (**DNS**). Trage dort die entsprechenden Adressen ein, damit auch in den Mail-Clients die URL genutzt werden kann. Teste dein System anschließend. Sollte dies nicht klappen, solltest du kontrollieren, ob die PCs die Adresse des DNS auch kennen ;-)

![Filius - Mailserver - Aufgabe 1](bilder/e-mail-filius-aufgabe4.png)

t>Was hat es eigentlich mit diesem **POP3-Port** und **SMTP-Port** auf sich? Was ist ein Port? (Du darfst auch gern deinen Lehrer fragen.)

*Lösung*

...

t>**Zusatz**<br />Untersuche die Kommunikation beim Übertragen einer E-Mail vom Absender zum E-Mail-Server.<br />Untersuche die Kommunikation beim Übertragen einer E-Mail vom E-Mail-Server zum Empfänger.<br />Dokumentiere deine Erkenntnisse hier.

*Lösung*

...
  

----


## Vlog - Angriff aus dem Netz (ZDF-Dokumentation)

In der folgenden Dokumentation geht es um eine Person, die dem Phising zum Opfer gefallen ist. Welche Konsequenz aus so einem "kleinen Fehler" entstehen kann, siehst du hier. Lass dich beeindrucken.

<iframe width="560" height="315" src="https://www.youtube-nocookie.com/embed/5w1cXQfxFMc" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
  
  
----
  
## Gefahren durch E-Mails

![Banner Virus Trojaner](bilder/warning.png)

Durch E-Mails können viele Gefahren für den Empfänger entstehen. Oft ist es nur ein kleiner Funke Unachtsamkeit und schon ist ein PC mit einem **Virus, Trojaner, Wurm und Phising** infiziert.

t>Doch worin liegen die Unterschiede? Recherchiere.

*Lösung*

...


### Woran erkannt man eine potentiell gefährliche E-Mail?

- unbekannter Absender oder immitierter Absender (genau auf e-Mail-Adresse achten)
- unerwartete E-Mail
- unerwarteter Erhalt von Anhängen (Bilder, Textdokumente, .exe-Dateien, …)
- unlogische E-Mails (Paypal meldet sich, obwohl ich dort kein Konto habe) „Betreff: Rechnung noch offen“

### Wie reagiere ich richtig?

- Nachfrage im Zweifelsfall
- alternativ direkt löschen

----


## Übungsaufgabe

![Programm Filius](bilder/filius.jpg)

t>Oma Ingrid und ihr Enkel Fred besitzen beide einen Laptop und schreiben sich regelmäßig E-Mails. Ingrid hat ihren E-Mail-Account bei *gmx.de*, Fred hingegeben bei *T-Online.de*.
Beide sind typische Nutzer des Internets und kennen sich mit IP-Adressen nicht so gut aus. Folglich greifen ihre PCs zur Ermittlung der anderen beteiligten Computer auf einen DNS-Server zu. Fred liest auch gern Nachrichten auf der Webseite von n-tv mittels der URL *ntv.de*.<br />Simuliere diese Situation möglichst realitätsnah mit Hilfe der Software Filius.