# Internetsucht

*Dateiname: internetsucht.md*<br />

*Anmerkung: diese Seite wurde von einem Schüler erstellt*

---

![Sucht junges Kind](bilder/internetsucht.jpg)

Jeder Mensch heutzutage nutzt das Internet mehr oder weniger aktiv. Wenn man das Internet jedoch zu häufig nutzt, kann man abhängig werden. Dies wird dann als **Internetsucht** bezeichnet. Doch was ist Internetsucht? Und wieso kann sie gefährlich werden?

## Was ist Internetsucht?

i>Als **Internetsucht** oder auch **Internetabhängigkeit** wird das übermäßige, gesundheitsgefährdende Nutzen des Internets, beispielsweise durch Spiele oder soziale Netzwerke, bezeichnet. Der Betroffene kann seine Internetaktivitäten nicht mehr beeinflussen und vernachlässigt wichtigere Dinge im Alltag, wie Hobbys, Familie oder ähnliches.

w>Internetsüchtige sehen sich selbst nicht als süchtig an, nutzen aber trotzdem übermäßig viel die digitalen Medien.

**Folgende Symptome können auftreten:**

- Freundschaften, Hobbys und Familienzeit werden vernachlässigt oder sogar aufgegeben.

- Die Internetnutzung (Zeitumfang sowie Beginn/Ende) kann nicht mehr kontrolliert werden.

- Auch wenn Betroffene offline sind, drehen sich deren Gedanken unablässig um Online- Aktivitäten, diese sind oft auch Haupt- Gesprächsthema.

- Man empfindet das starke Bedürfnis, immer mehr Zeit im Internet zu verbringen. Außerdem wird Internetaktivität genutzt, um negativen Stimmungslagen zu entfliehen.

- Bei kurzer Inaktivität erfährt der Süchtige Entzugsentscheinungen wie innere Unruhe, Gereiztheit, Stress und Aggressivität.

---

**Man unterscheidet außerdem zwischen folgenden Suchttypen:**

- Spielsucht (Computerspiele/ Handyspiele)
- schriftliche Kommunikation wie bei sozialen Medien, E- Mails, Foren, usw.
- Sucht nach sexuellen Inhalten

---

Hier ist ein Video zur Internetsucht, bei der wissenschaftlich das Thema "Internetsucht" beleuchtet wird:

t> Schau dir das Video an und überlege, ob Du Dein Smartphone zu oft nutzt. Wenn ja, überlege, ob Du Deinen Konsum reduzieren kannst. Wie kannst du das bewerkstelligen?

*Lösung*

...

<iframe width="650" height="325" src="https://www.youtube.com/embed/wld1ZPM8TvU" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

---

## Risikogruppen und Ursachen

#### **Risikogruppen**

i> Zu den Risikogruppen für eine Internetsucht zählen vor allem Kinder, Jugendliche und junge Erwachsene. Dies liegt daran, dass man den Umgang mit digitalen Medien - explizit mit dem Internet - erst erlernen musssomit ist eine erhöhte Abhängigkeitsgefahr die Konsequenz.

---

#### **Ursachen**

Die Internetsucht ist innerhalb der letzten Jahre ein großes Thema geworden, da das Internet viel häufiger genutzt wird als beispielsweise vor 10 Jahren.

**Doch warum wird das Internet immer häufiger genutzt?**

Hierbei spielt die enorme **Verfügbarkeit** eine zentrale Rolle, da das Internet heutzutage fast von überall zugänglich ist. Daher sind vor allem junge Menschen mehrere Stunden am Tag online.

Noch dazu kommt, dass das Internet durch seine Schnelligkeit und Effizienz zur Informationssuche o.ä. einen rein funktionalen Nutzen aufweist, aber auch einen emotionalen. Denn durch Social Media- Angebote, Spiele etc. viele Möglichkeiten bietet, Anerkennung zu bekommen. Daher verleiten derartige Aktivitäten, alltäglichen Problemen und negativen Emotionen zu entfliehen.

t>Unter folgendem Link kannst du dir (je nach Verfügbarkeit der Software) ein Protokoll herunterladen, in dem die Internetnutzung protokolliert werden kann. Das Protokoll ist als .docx oder .pdf- Datei herunterladbar.

<a href="documents/protokoll/medientagebuch.docx" download="medientagebuch.docx">DOCX- Datei herunterladen</a> | 
<a href="documents/protokoll/medientagebuch.pdf" download="medientagebuch.pdf">PDF- Datei herunterladen</a> |

Die Dateien kannst Du dir, wenn Du sie heruntergeladen hast, ausdrucken, um die Nutzung protokollieren zu können.
Du kannst das Protokoll auch alternativ von [dieser Website](https://www.dak.de/dak/download/medientagebuch-2162326.pdf) herunterladen und ausdrucken.

---

## So kann man das Suchtrisiko senken

Um gar nicht erst in die Situation einer Internetsucht zu geraten, sollte man diese Maßstäbe befolgen:

- Lass (am besten von Deinen Eltern) den Zugang zu Seiten mit pornografischen Inhalten oder Gewalt- Szenen blockieren.

- Du solltest handyfreie Zeiten festlegen. Zum Beispiel sollte das Handy/ der PC während des Essens, im Bett und nach 22 Uhr nicht mehr genutzt werden. 

- Unternimm verschiedene Freizeitaktivitäten, wie z.B. Radfahren, neue  Hobbys oder andere. So nutzt Du Dein Handy automatisch seltener.

- Bei solchen Regelungen können ***Kindersicherungen*** fürs Handy oder den PC ganz nützlich sein. Hier sind ein paar Beispiele:
- [Screen Time](https://screentimelabs.com/de/) | [Family Link](https://families.google.com/intl/de/familylink/) |

Kindersicherungen können im Familienleben viel Ruhe schaffen, da ein geregelter Tagesablauf mit dem Handy festgelegt wird. So hat das Handy viel weniger Konfliktpotenzial als zuvor, und zusätzlich kann man den Umgang mit dem Smartphone/ Tablet lernen.

---

### Aufgaben

t>Recherchiere, wie oft ein Deutscher durchschnittlich das Handy am Tag in die Hand nimmt.

*Lösung*

...

t>Finde weitere wichtige/schockierende Fakten zum Umgang mit dem Internet.

*Lösung*

...

t>Lade dir hier den Selbsteinschätzungsbogen herunter und fülle ihn aus:

<a href="documents/selbsteinschätzung/Selbsteinschätzungsbogen_Internetsucht.docx" download="Selbsteinschätzungsbogen_Internetsucht.docx">DOCX- Datei herunterladen</a> |
<a href="documents/selbsteinschätzung/Selbsteinschätzungsbogen_Internetsucht.pdf" download="Selbsteinschätzungsbogen_Internetsucht.pdf">PDF - Datei herunterladen</a> |

t>Bewerte den Selbsteinschätzungsbogen eines Mitschülers. (mündlich)