# Einfaches Schichtenmodell 

*Dateiname: Schichtenmodell*

---

## Beispiel: Briefversand mit der Post

*Szenario*

Herr Müller (Arzt in Dresden) möchte Herrn Meier (Versicherungsvertreter in Berlin) einen Brief zukommen lassen.
Herr Müller schreibt Name und Adresse des Empfängers und des Absenders auf den Briefumschlag, frankiert diesen ausreichend und wirft den Brief in den  nächsten Sammelkasten der Post.

![](bilder/schichtenPost1.png)

Der Inhalt des Sammelkastens muss geleert und zum nächsten Briefzentrum (1 = Dresden) der Post transportiert werden. Dort werden die Briefe nach dem nächstgelegenem Briefzentrum des Empfängers sortiert (2 = Berlin) und dorthin überstellt werden, wo sie an die verschiedenen Zustellbezirke verteilt und schließlich von den Briefträgern in die Briefkästen der Empfänger eingeworfen werden.
Die Post hat aber selbst nicht die Kapazitäten, um die Briefe über große Strecken zu transportieren.
In Bündeln werden die Briefe zum entsprechenden Frachtzentrum (1) der Bahn gebracht. Dort werden sie je nach Zielbahnhof in speziellen Containern zusammengefasst und zum nächsten Frachtzentrum (2) transportiert. Im Frachtzentrum (2) werden die Container entleert und die Bündel an das zuständige Briefzentrum (2) verschickt.

### Abstraktion Schichtenmodell

![](schichtenmodell.png)

Es wäre nicht sehr bequem, wenn sich jeder Versender eines Briefes des gesamten Verfahrens mit allen Details bewusst sein müsste. 
Er verlässt sich auf die Post und nutzt deren Dienst „Briefversand“.

Die Post wiederum möchte sich auch nicht um Probleme wie Schienennetzerneuerungen, Fahrplänen usw. kümmern müssen und nutzt den Dienst „Gütertransport“ der Bahn.

Die Einzelheiten des Transportes werden vor dem Nutzer des Dienstes verborgen. – sogenannte Blackbox-Sicht.
Falls die Bahn durch ein Flugunternehmen ersetzt würde, so wäre nur eine Schicht davon betroffen.
Es ließen sich auch einfach Zwischenschichten (beispielsweise ein Kurierdienst, der die Bündel vom Briefzentrum zum Frachtzentrum transportiert) einfügen.


i>Um die Arbeitsteilung bei Kommunikationsvorgängen zu vereinfachen, teilt man diese in Schichten auf, die jeweils eine bestimmte Aufgabe haben und dazu ein bestimmtes Protokoll nutzen.
Jede Schicht (bis auf die oberste) stellt der jeweils darüberliegenden Schicht an der Schnittstelle bestimmte Dienste zur Verfügung.

### Fragen zum Textverständnis

1. Welche Vorteile ergeben sich aus der Zerlegung in Schichten?
2. Erläutern Sie anhand des Bildes das Ein- und Auspacken.
3. Erläutern Sie an diesem Beispiel die Begriffe realer und virtueller Transport!
4. Welche Dienste bieten Post, Bahn und Anwender an?
5. Welche Protokolle müssen in der Anwenderschicht befolgt werden?

---

## Aufgaben

t>**Aufgabe 1:** Max hat sich beim Wandern im australischen Outback das Bein gebrochen. Zum Glück trifft er einen anderen Touristen, der als Bote die Nachricht mit Max´s Koordinaten an einen Farmer weitergibt. Dieser morst die Nachricht mit seinem Funkgerät an das nächste Krankenhaus. Das Funkgerät wandelt die Tastendrücke in elektromagnetische Wellen.
Im Krankenhaus empfängt der Funker die Nachricht und schickt einen Boten zum diensthabenden Arzt.
Entwerfen Sie ein Schichtenmodell mit 4 Schichten.

t>**Aufgabe 2:** Protokolle in Netzwerken zur Regelung des Zugriffs auf ein Medium - Zugriffsverfahren.<br />Wie funktionieren diese beiden Protokolle?

---

## Vertiefung

Hier findest du weitere interessante Materialien zum Thema

- [CSMA/CD](http://www.mirko-hans.de/info/gk_12/dateien/netzwerke/Netzwerke_Zugriffsverfahren.pdf)
- [Token Passing](https://www.mirko-hans.de/info/gk_12/dateien/netzwerke/Zugriffsverfahren_Token-Ring-Passing.pdf)
