# Voice-over-IP

*Dateiname: voip.md*

*Anmerkung: diese Seite wurde von einem Schüler erstellt*

---

![TAE-Buchse](bilder/taedose.jpg)

Quelle: https://www.sanier.de/wp-content/uploads/images/telefondose-tae-dose-christian-p-worring-fotolia.jpg (24.06.2021)

Jeder kennt wahrscheinlich noch diese alten Telefondosen mit sogenannten TAE-Buchsen. An solchen Telefondosen wurde früher Kabeltelefon an analoge Telefonleitungen angeschlossen. Heutzutage ist es allerdings üblich über das Internet mittels VoIP (Voice-over-IP) zu telefonieren.

i> Voice-over-IP Telefonie ist das heutzutage gängige Prinzip der Telefonie für fest installierte Telefone. Dabei wird ein Gespräch nicht mehr über analoge Telefonleitungen übertragen, sondern mittels digitalen Datenpaketen zwischen Sender und Empfänger hin- und hergeschickt. Es ist üblich das solche fest installierten Telefone via Breitband (Internetzugang mit relativ hoher Datenübertragungsrate) an das Internet angeschlossen sind.

---

## Funktionsweise

### Vorraussetzungen

- Internetzugang
- geeignete Hardware (VoIP-fähiges Telefon, VoIP-fähiger Router,...)
- Anbieter für VoIP-Telefonie

### Verbindungsauf- und abbau

Der Verbindungsaufbau der VoIP-Telefonie funktioniert über das sogenannte SIP (Session-Initiation-Protocol). Das SIP ist ein Netzprotokoll, welches VoIP-Geräten jeweils eine E-Mail ähliche Adresse zuweist. Diese besteht immer aus zwei Teilen. Der eine Teil muss den Nutzer identifizieren und der andere Teil enthält den Namen des Domainservers, bei dem der Teilnehmer registriert ist.


**Ablauf des Verbindungsaufbaus**

1.	Sender/Anrufer schickt eine Meldung (Rufnummer vom Empfänger) an seinen SIP-Server.
2.	SIP-Server des Anrufers gibt diese Information an den SIP-Server des Empfängers weiter.
3.	Empänger erhält die Anrufsinformation durch seinen SIP-Server und sein Telefon klingelt. Außerdem bekommt der Anrufer ein Meldung, dass der Verbindungsaufbau erfolgreich war.

![Verbindungsaufbau VoIP](bilder/gespraech_voip.png)

Quelle: https://www.placetel.de/content/16-ratgeber/4-ip-telefonie-voip-telefonie/ip-telefonie_schaubild.png (27.06.2021)

**Ablauf des Verbindungsabbaus**

1.	Ein beliebiges Endgerät sendet SIP-Paket an seinen Server (Auflegetaste am Telefon).
2.	Server informiert anderes Endgerät und die Verbindung bzw. das Gespräch wird beendet.

### Gespächsübertragung

- Die Gespächsübertragung findet nicht über die SIP-Server, sondern direkt zwischen den Endgeräten statt.
- VoIP Datenpakte werden aufgrund auf Echtzeitanforderung priorisiert.
- Akusitische Signale werden erst in elektrische Signale und dann in viele kleine Datenpakete umgewandelt.

---

## Vor- und Nachteile der Internet-Telefonie

t> Informiere dich über Vor- und Nachteile der Internettelefonie.

*Lösung:*

**Vorteile VoIP**|**Nachteile VoIP**
:-----------------|:-----------------
...|...
...|...

[Lösungen Vor- und Nachteile](Lösungen/Lösung.docx) (Dokument "Lösungen.docx")

## Latenzen

t> Recherchiere über Latenzen bei der Internettelefonie. Wie hoch sind die Latenzen innerhalb Deutschlands? Wie hoch sollte die Latenz maximal sein, damit es nicht zu einer Gesprächsverzögerrung kommt? Wie groß sind die Latenzunterschiede zwischen Kabel- und Satellitenübertragung? 

*Lösung:*

- ...


[Lösungen Latenzen](loesungen/voip-moritz.docx) (Dokument "voip-moritz.docx")

---

## Quellen

https://www.placetel.de/ratgeber/ip-telefonie-voip-telefonie (27.06.2021)

https://www.alinki.com/artikel/1154/ (27.06.2021)

https://www.tecchannel.de/a/voice-over-ip-teil-1,1784353,16  (27.06.2021)

