# VPN

*Dateiname: vpn.md*

*Anmerkung: diese Seite wurde von einer Schülerin erstellt*

---


![](https://cdn.pixabay.com/photo/2019/07/11/07/36/vpn-4330220_1280.jpg)

Stell dir vor du willst entspannt ein YouTube-Video oder eine neue Serie
von der du gehört hast schauen und du findest heraus, dass es in deinem
Land nicht verfügbar ist. Ganz schon belastend, oder? Eine Möglichkeit
dieses sogenannte „Geoblocking“ zu umgehen, ist die Verwendung eines
VPNs.


## Was ist ein VPN

VPN steht für Virtual Private Network. Ein privates Netzwerk ist ein
Netzwerk, das nicht direkt mit dem Internet verbunden ist. Durch einen
sogenannten Tunnel kann dieses Netzwerk über das Internet mit einem
anderen Rechner oder Netzwerk erweitert werden. Dann ist es ein
virtuelles privates Netzwerk. Virtuell daher, dass keine direkte
physische Verbindung, sondern nur eine Verbindung über das Internet
existiert.


## Wie funktioniert eine VPN-Verbindung

Werden Datenpakete über das Internet versandt, wandern sie über
verschiedenen Stationen. An jeder Station können die Pakete mitgelesen
werden. Deshalb sollte man die Daten verschlüsseln. Um eine
VPN-Verbindung aufzubauen, braucht es einen Server und einen Client. Der
Client fragt beim Server an. Über ein public-key-Verfahren oder vorher
ausgetauschte Schlüssel werden die Anmeldedaten verschlüsselt abgefragt.
Sind diese korrekt, wird ein Schlüssel zur Verschlüsselung der Daten
ausgetauscht. Daraufhin wird im Client-Rechner eine virtuelle
Netzwerkkarte aktiviert. Auf einer Netzwerkkarte ist das zu benutzende
Gateway für bestimmte Zieladressen festgelegt. Durch die virtuelle
Netzwerkkarte ist es nun möglich einen Teil oder den gesamten
Datenverkehr über den Server laufen zu lassen (also diesen als Gateway
zu benutzen).

Sendet man nun Daten, verschlüsselt der Client diese mit dem vorher
ausgetauschten Schlüssel und schickt sie zum Server, da dieser als
Gateway festgelegt ist. Der Server entschlüsselt die Daten und sendet
sie zum eigentlichen Ziel. Dabei gibt der Server wie ein Router seine
eigene IP-Adresse als Absender an. Dadurch erhält er auch die eigentlich
für den Nutzer bestimmte Antwort. Er hat sich jedoch gemerkt für wen die
Daten bestimmt waren und sendet diese verschlüsselt über die
VPN-Verbindung zurück. Der Client entschlüsselt diese Daten wieder,
sodass sie verwendet werden können.

![Prinzipieller Aufbau eines VPNs](bilder/VPN.png)

Da der Server als Absender seine eigene IP-Adresse angibt und die Daten
vorher verschlüsselt unterwegs waren, kann so gut wie niemand
herausfinden von wem die Daten eigentlich stammen. Das macht eine
Nachverfolgung und Angriffe (auch im öffentlichen WLAN) schwieriger.
Außerdem ist eine IP-Adresse auch immer mit einem Standort verknüpft.
Wird angenommen, dass der Absender der Server ist, wird auch der
Standort als der Standort des Servers angenommen. D.h. steht der Server
in den USA wird angenommen, dass man sich in den USA befindet. Das
ermöglicht es auf Inhalte, die im eigenen Land verboten oder nicht
verfügbar sind, zuzugreifen. Teilweise sind auch Preise und Angebote
abhängig vom Standort. So ist es manchaml möglich via VPN günstiger
einzukaufen und zu buchen.

i> Fun fact: Durch das Benutzen von VPNs bekommt man teilweise
schnelleres Internet.<br />Eigentlich verlangsamt sich die Geschwindigkeit
durch die Nutzung einer VPN-Verbindung, da das Umleiten sowie Ver- und
Entschlüsseln der Daten natürlich Zeit kostet. Internetanbieter
verlangsamen jedoch vor allem zu Stoßzeiten und bei Aktivitäten die eine
hohe Bandbreite verwenden (z.B. Streamen) den Datenverkehr. Eine
VPN-Verbindung verhindert dies, da der Datenverkehr nicht über den
Internetanbieter läuft.


## Grenzen von VPNs

Was man sich bei der Benutzung einer VPN-Verbindung bewusst machen
sollte, ist, dass es, wie eigentlich alles in der digitalen Welt, keinen
hundertprozentigen Schutz bietet. Z.B. kann der Server alle Daten, die
man sendet und empfängt, mitlesen. Somit kann der VPN-Anbieter diese
Daten auch potenziell an Dritte weitergeben. Daher sollte man sich gut
überlegen welchen Anbieter man benutzt. Weiterhin können Betreiber von
Webseiten - insofern man sich einloggt - trotzdem sehen was man mit
seinem Profil auf dieser Website tut.

VPNs werden immer mal aufgeführt, wenn es darum geht sogenannte
Man-in-the-Middle-Attacks zu verhindern, vor allem bei öffentlichen
Wi-Fis. Bei einigen VPN-Protokollen ist so eine Attacke jedoch immer
noch möglich.

t> **Aufgabe**<br />Informiere dich über die Funktionsweise einer
Man-in-the-Middle-Attack und überlege an welchem Punkt der
VPN-Verbindung diese ausgeführt werden könnte.

*Lösung:* 
- ...


## Wie richtet man ein VPN ein?

Ein gibt nicht den einen Weg ein VPN einzurichten. Je nachdem wo und
wofür man eins einrichten will, wird es mal mehr mal weniger
kompliziert.

Die wahrscheinlich einfachste Variante für das Surfen im Internet ist
die Nutzung eines externen Anbieters. Es gibt sowohl kostenlose als auch
kostenpflichtige VPN-Anbieter. Welchem man im Endeffekt benutzt und
vertraut muss jeder für sich entscheiden.

Generell muss man bei allen externen Anbietern zuerst ein Konto
erstellen und die zugehörige Software installieren. Über die
Anmeldedaten identifiziert man sich beim Server als rechtmäßiger Nutzer.
Nun muss nur noch der gewünschte Serverstandort ausgewählt werden und
man kann die VPN-Verbindung starten. Bei den meisten VPN-Anbietern kann
auch noch das zu verwendende Protokoll ausgewählt werden, der Standard
ist heutzutage meistens OpenVPN.

Solche Software kann sowohl auf Smartphones als auch auf PCs installiert
werden. Um gleich für das ganze Netzwerk eine VPN-Verbindung aufzubauen,
kann man die Software auch auf dem Router installieren. Die meisten
verwendeten Router (unter anderem Fritz!Box) unterstützen jedoch kein
OpenVPN und man müsste mit zusätzlicher Software Abhilfe leisten bzw.
einen zweiten Router anschließen der als VPN-Client fungieren kann.

Will man eine VPN-Verbindung zu einem anderen Netzwerk aufbauen (z.B.
wenn man unterwegs ist zum Heimnetzwerk, um einen Teil der Gefahren von
öffentlichem Wi-Fi zu umgehen) kann man dies entweder über den Router
oder die integrierte VPN-Option von Windows tun. Nutzt man den Router,
dient dieser nun als VPN-Server und das Gerät mit dem man sich verbinden
will als Client. Wie genau man diese Verbindung einrichtet, hängt vom
verwendeten Router ab.

Bei der integrierten Funktion von Windows ist das Endgerät ebenfalls der
Client. Um eine VPN-Verbindung aufzubauen, braucht es lediglich
Kenntnisse über die IP-Adresse eines VPN-Servers und festgelegte
Zugangsdaten. Der Server kann in dem Fall theoretisch übrigens auch der
(Heim)router sein, der Anbieter ist dann jedoch nicht der Betreiber des
Routers, sondern Windows.

t> **Aufgabe für Zuhause für Interessierte:**<br />Schaue daheim nach dem von euch verwendetem Routermodell und überprüfe, wie eine VPN-Verbindung aufgebaut werden kann.

---

## VLOG

<iframe width="560" height="315" src="https://www.youtube.com/embed/IIfK41NTsxU" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/zhlShRrlVsE" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

<iframe width="560" height="315" src="https://www.youtube.com/embed/43TUveNbZQs" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

[https://www.randombrick.de/was-ist-der-tor-browser/](https://www.randombrick.de/was-ist-der-tor-browser/)