# Webseiten

*Dateiname: webseiten.md*

---

![](https://cdn.pixabay.com/photo/2018/03/15/16/11/background-3228704_1280.jpg)

### Das Internet

Verbund aller LANs durch Vermittlungsrechner (Router, Netzknoten)
Funktion wird durch die Vielzahl von Servern ermöglicht

### Historie
- stammt vom Ursprungsnetz ARPA
- Dezentrales militärisches Netz, 1969 in den USA
- ist das größte Netzwerk der Welt (Zusammenschluss vieler LANs und WANs)
- erste Webseite ging 1993 online
  - [Willst du sie sehen?](http://info.cern.ch/hypertext/WWW/TheProject.html)

----

## Basisbegriffe

### Webserver

i>Ein **Webserver** ist ein Programm, welches auf eine PC installiert wurde, und den Aufruf von Webseiten (Dateien) ermöglicht. Dazu muss die IP-Adresse des Computers mit dem installierten Webserver "angerufen" werden. Dieser sendet dann entsprechende Dateien (HTML-Dokumente, Bilder, Videos etc.)

*Beispiele: Apache, Nginx*

### Webbrowser

i>Um die vom Webserver bereitgestellte HTML-Dokumente interpretieren zu können, benötigt man einen **Webbrowser**. Dies ist ein Computerprogramm zum Darstellen von Webseiten.

*Beispiele: Mozilla Firefox, Microsoft Edge, Opera, Safari*

<img src="bilder/webbrowser_logos.png" width="200px" />

w>Die Interpretation des selben HTML-Dokuments kann verschiedenen Browsern unterschiedlich sein. Daher sollte man beim Erstellen einer Webseite stets die meist verwendetsten Browser testen.

---

### Protokolle

i>Protokolle sind **Vereinbarungen**, in welcher Reihenfolge und Form Dokumente übertragen werden können. Diese sind standardisiert. Die bekanntesten Protokoll für die Übertragung von Webseiten sind:

- http – Hyper Text Transfer Protocol
- https – Hyper Text Transfer Protocol Secure

### HTML – Hypertext Markup Language

![HTML Code](bilder/html_code.jpg)

i>**HTML** (**H**yper**t**ext **M**arkup **L**anguage)<br />Viele Leute, die keine Ahnung haben, denken, dass das programmieren sei - das ist falsch, es handelt sich um eine sogenannte Beschreibungssprache (Metasprache). Sie dient zur Beschreibung von WWW-Dokumenten (insbesondere ihren Aufbau mit Überschriften, Absätzen, Tabellen etc.) und kann beispielsweise **Hyperlinks** enthalten. Dies sind Verweise auf andere HTML-Dokumente.


### URL

i>Da sich IP-Adressen so schlecht merken lassen (und sich teilweise verändern), gibt es die Möglichkeit eine Webseite mit Hilfe einer Domain aufzurufen. Doch im Allgemeinen stecken noch mehr Informationen in der Adresszeile, diese Adresse auf bestimmte Pfade oder gar Dateien nennt sich **URL** (**u**niform **r**esource **l**ocator).

Der Aufbau sieht wie folgt aus:

|Protokoll|Dienst.|<2.Sub-Domain>.|<1.Sub-Domain>.|Top-Level-Domain|/Pfad|Datei
|---|---|---|---|---|---|---
|http://|www.|bildungszentrum.|nuernberg.|de|planetarium|index.html

?>Eine kostenlose Domain für private Zwecke - wie einen eigenen Webserver oder eine eigene Cloud - lassen sich beispielsweise bei Anbietern wie [TwoDNS](https://www.twodns.de) buchen.

---

## Praxis mit Filius

![](bilder/filius.jpg)

t>**Aufgabe 1a:** Verbinde drei Rechner ("Mein Rechner", "Mama", "Papa") mit einem Switch.

t>**Aufgabe 1b:** Gib jedem Rechner eine eigene IP-Adresse. Wichtig ist, dass sie sich im selben Netzwerk befinden (*Hinweis: Zusammenspiel von IP-Adresse & Subnetzmaske*).

t>**Aufgabe 1c:** Stelle die Simulationsgeschwindigkeit auf 10% und pinge von deinem Rechner aus die anderen beiden PCs an. Was kann man beobachten? Welche Schlussfolgerungen lassen dies zu?

t>**Aufgabe 1d:** Installiere auf Papas Pc einen Webserver. Auf deinem Rechner einen Webbrowser und rufe in der Adressleiste die IP-Adresse von Papas PC auf.

w>Mit der IP-Adresse eine Internetseite aufrufen ist nun wahrlich nicht schön, dafür wurden URLs entwickelt...doch wie erfährt ein Rechner die IP-Adresse des Rechners einer entsprechenden URL? Ließ dazu den folgenden Abschnitt.

---

## DNS-Server

Du sitzt vor deinem Computer und möchtest gerne die Website www.csu.de besuchen. Im Internet läuft die Kommunikation über sogenannte IP-Nummern, damit Ihr Web-Browser die Seite der CSU abfragen kann, benötigt er also zunächst die IP-Nummer für www.csu.de. An dieser Stelle kommt das **Domain Name System** (DNS) ins Spiel, es dient der Auflösung von www.csu.de in die IP-Nummer 213.183.9.100.

![DNS-Server-Abbildung](bilder/dns-server.png)

**Ablauf einer DNS-Anfrage**

1. Ihr Computer stellt eine DNS-Anfrage an den DNS-Server Ihres Providers.
2. Der DNS-Server Ihres Providers kennt die IP-Nummer für www.csu.de noch nicht und wendet sich daher an einen Root-Server. Der Root-Server liefert als Ergebnis den
DNS-Server der DENIC der für die Domain DE zuständig ist.
3. Über den DNS-Server der DENIC lässt sich nun ermitteln welcher DNS-Server für die Zone csu.de verantwortlich ist. [Link](http://www.denic.de)
4. Und erst jetzt können wir den eigentlich zuständigen DNS-Server befragen, welche IP-
Nummer zu www.csu.de passt.

Die Adresse des DNS-Servers ihres Providers ist im Normalfall in ihrem Router hinterlegt. Alle Rechner ihres Heimnetzwerkes bekommen dann vom integrierten DHCP-Server diese DNS- Adresse automatisch zugewiesen.

Dies sollte man über das Domain Name System wissen:
- DNS ist ein weltweit verteiltes Verzeichnissystem mit tausenden von Servern.
- DNS hat mit dem World Wide Web (WWW) eigentlich nicht sehr viel zu tun (außer dass es auch vom Web-Browser indirekt verwendet wird).
- Die meisten DNS-Abfragen werden vollautomatisch von Software (z.B. Mail-Server, Update-Systeme usw.) gestellt.
- Zu dem DNS-Server des Internet-Providers gibt es viele alternative Möglichkeiten.

Der letzte Punkt ist von besonders großer Bedeutung. In vielen Ländern wird Netzzensur be-
trieben, d.h. bestimmte unerwünschte Webseiten können nicht aufgerufen werden. Dies wird realisiert, indem die Internetprovider für Nutzer aus diesem Land einen DNS-Server zur Verfü- gung stellen, der für diese Webseiten keinen Eintrag enthält. Damit sind die Webseiten prinzi- piell immer noch über die IP-Adresse erreichbar, praktisch aber für die meisten Nutzer un- sichtbar. Als Alternative können unzensierte DNS-Server verwendet werden. Nachfolgend ein Auszug aus einer Liste alternativer DNS-Server:

- 94.75.228.28 (German Privacy Foundation e.V.)
- 62.141.58.13 (German Privacy Foundation e.V.)
- 85.25.251.254 (German Privacy Foundation e.V.) langsam!  85.214.20.141 (FoeBuD e.V. Aktualisiert am 4.7.2011)
- 212.82.225.7 (ClaraNet)
- 212.82.226.212 (ClaraNet)
- 213.73.91.35 (Chaos Computer Club Berlin)

### Weitere Erläuterung zum Verständnis der Bestandteile

Webseiten-Aufruf | Telefon-Anruf | Erklärung
-----------------|--------------| --------
URL | Name der Person die ich anrufen möchte | kein Mensch kann sich ewig lange Zahlen merken, gerade wenn man sie selten nutzt, aber Namen ist einfach :)
Domain-Name-System | Telefonbuch in meinem Handy | ein einfaches Register mit Namen und zugehörigen Nummern
IP-Adresse des Webservers | Telefonnummer der Person | IP-Adresse könnte sein 162.87.249.2
Webserver mit Homepage | Angerufener mit Informationen die ich benötige | Webserver sendet nach "Anruf" die Daten der Webseite

s>Gar nicht so schwer, oder?

---

![](bilder/filius.jpg)

t>**Aufgabe 1e:** Erweitere dein Netzwerk um den Rechner "DNS-PC" und installiere auf ihm einen DNS-Server. Füge in seine Liste die URL *www.filus.de* ein und verweise auf den PC von Papa.


t>**Aufgabe 1f:** Du hast sicher festgestellt, dass der Anruf der URL www.filius.de noch nicht zum Ziel führt - eigentlich klar, denn woher soll dein Rechner wissen, wo der DNS-Server steht? Dort wo du die IP-Adresse eintragen kannst, kannst du auch die IP des DNS vermerken. Das bewirkt wunder, teste es! 

w>Diese ganzen Informationen händisch einzugeben ist ziemlich lästig, dafür gibt es einen Helfer: DHCP. Ließ den folgenden Abschnitt und erweitere dein Netzwerk entsprechend.

